-- Trigger.dev doesn't play nice with timescaledb due to timescaledb's
-- magic internal tables. So we remove the hypertable for now.
delete from raw_bus_positions where id in (select raw_pos_id from potential_arrivals);

drop table potential_arrivals cascade;

CREATE TABLE potential_arrivals(
  id BIGINT GENERATED ALWAYS AS IDENTITY,
  raw_pos_id BIGINT NOT NULL,
  bus_id text NOT NULL,
  bus_coords GEOGRAPHY(Point, 4326) NOT NULL,
  measured_at TIMESTAMP WITH TIME ZONE NOT NULL,
  stop_id bigint NOT NULL,
  distance decimal NOT NULL
);

CREATE INDEX potential_arrives_raw_pos_id ON potential_arrivals (raw_pos_id);
CREATE INDEX potential_arrivals_spatial ON potential_arrivals USING GIST (bus_coords);
